/*
 *  $Header: /home/etud/asi01/acordier/cvsd/root/repository/Calculette/Error.h,v 1.1.1.1 2002/02/20 09:40:30 mchambre Exp $
 *  
 *  $Log: Error.h,v $
 *  Revision 1.1.1.1  2002/02/20 09:40:30  mchambre
 *  Version Initiale
 *
 *  Revision 1.4  2001/12/11 22:00:38  seb
 *    -- ajout du LOG
 *
 */
#ifndef __ERROR_H

#define __ERROR_H
int enregistrerErreur(int,char*);
// sert a definir une erreur. La fonction recoit le numero de l'erreur
// ainsi que la chaine la dcrivant. La fonction renvoie 0 pour
// signaler que tout c'est bien pass sinon -1 en cas de problme


int verifierErreur(void);
// permet de vrifier si une erreur c'est produite aprs un calcul.
// La fonction renvoie le numro de l'erreur sinon 0 si il n'y a pas
// de problme.


int signalerErreur(int);
// Cette fonction doit etre appele pour indiquer qu'une erreur s'est
// produite.
// La fonction renvoie 0 en cas d'echec, sinon 1 en cas de succs.


char* expliquerErreur(int);
// L'appel de cette fonction renvoie une chaine dcrivant le numro
// d'erreur fournie. Sinon NULL si le numro n'est pas valide.


void noErreur(void);
// Cette fonction est  appeler pour indiquer qu'un calcul s'est bien
// droul. La fonction renvoie 1.


#endif
