# ifndef REEL_INFINI_H

	# define REEL_INFINI_H
	typedef struct ReelInfini* ReelInfini;
	#include "EntierInfini.h"
        #include <stdio.h>
        #include <stdlib.h>
        #include <unistd.h>
        #include <string.h>

        void fixerPrecision(int argc);
        //affecte la valeur passe en argument du main dans la variable static nombreDeChiffresSignificatifs

        int obtenirPrecision();
//permet au fichier lex d'obtenir la precision de la session et de s'arreter dans la reconnaissance des ReelInfinis

	ReelInfini creerUnReelInfiniAPartirDe(char* partieEntiere,char* partieDecimale,char signe);
	// retourne un ReelInfini  partir d'une chane de caractres partieEntiere et d'une chaine de caractres partieDecimale
	// et dont le signe est spcifi par le caractre signe o signe={'+';'-'}

	ReelInfini convertirUnEntierInfiniVersUnReelInfini(EntierInfini e);
	// retourne un ReelInfini cr  partir de l'EntierInfini e

	EntierInfini convertirUnReelInfiniVersUnEntierInfini(ReelInfini r);
	// retourne un EntierInfini cr  partir du ReelInfini r

	ReelInfini additionnerDeuxReelsInfinis(ReelInfini r1,ReelInfini r2);
	// retourne un ReelInfini qui est le rsultat de r1+r2

	ReelInfini soustraireDeuxReelsInfinis(ReelInfini r1,ReelInfini r2);
	// retourne un ReelInfini qui est le rsultat de r1-r2

        ReelInfini prendreOpposeDUnReelInfini(ReelInfini r);
        // retourne un ReelInfini qui est l'oppose de r

	ReelInfini multiplierDeuxReelsInfinis(ReelInfini r1,ReelInfini r2);
	// retourne un ReelInfini qui est le rsultat de r1*r2

	ReelInfini diviserDeuxReelsInfinis(ReelInfini r1,ReelInfini r2);
	// retourne un ReelInfini qui est le rsultat de r1/r2
	// retourne l'erreur 310 si r2=0,  savoir : "Division relle par un nombre nulle!"

	int sontDeuxReelsInfinisEgaux(ReelInfini r1,ReelInfini r2);
	// renvoie 1 si e1=e2
	// 0 sinon

	int estUnReelInfiniSuperieurAUnReelInfini(ReelInfini r1,ReelInfini r2);
	// renvoie 1 si e1>=e2
	// 0 sinon

	int estUnReelInfiniStrictementSuperieurAUnReelInfini(ReelInfini r1,ReelInfini r2);
	// renvoie 1 si e1>e2
	// 0 sinon

	int estUnReelInfiniInferieurAUnReelInfini(ReelInfini r1,ReelInfini r2);
	// renvoie 1 si e1<=e2
	// 0 sinon

	int estUnReelInfiniStrictementInferieurAUnReelInfini(ReelInfini r1,ReelInfini r2);
	// renvoie 1 si e1<e2
	// 0 sinon

	char* afficherUnReelInfiniAPartirDe(ReelInfini r);
	// retourne une chane de caractres correspondant au ReelInfini r
	// si r est ngatif, la chane de caractres rsultat a pour premier caractre '-'

	void libererReelInfini(ReelInfini r);
	// permet de librer un ReelInfini

#endif

