#ifndef OPERATEURSTRIGO_H

	#define OPERATEURSTRIGO_H
	#include "ReelInfini.h"
	#include "EntierInfini.h"
	#include "error.h" 

	#define ERRTRIGO1 401
		//	Erreur 401 : Rel gal  PI/2 + k*PI ; fonction obtenirTangente inutilisable !
	#define ERRTRIGO2 402
		//Erreur 402 : Rel gal  un multiple de PI ; fonction obtenirCoTangente inutilisable !
	#define ERRTRIGO3 403
		//Erreur 403 : Rel non compris dans [-1;1] ; fonction obtenirArcSinus inutilisable !
	#define ERRTRIGO4 404
		//Erreur 404 : Rel non compris dans [-1;1] ; fonction obtenirArcCosinus inutilisable !

	ReelInfini obtenirSinus(ReelInfini);
	ReelInfini obtenirCosinus(ReelInfini);
	ReelInfini obtenirTangente(ReelInfini);
	ReelInfini obtenirCoTangente(ReelInfini);
	ReelInfini obtenirArcSinus(ReelInfini);
	ReelInfini obtenirArcCosinus(ReelInfini);
	ReelInfini obtenirArcTangente(ReelInfini);

#endif
