#ifndef MAX_H

#define MAX_H

#include<stdio.h>
#include<stdlib.h>
#include<unistd.h>
#include"Matrice.h"
#include"Error.h"
#include"OperateursSpeciaux.h"
#include"OperateursTrigonometriques.h"
#include"EntierInfini.h"
#include"ReelInfini.h"
#include"Memoire.h"

        typedef struct
        {int type;
        EntierInfini notreEntier;
        ReelInfini notreReel;
        Matrice notreMatrice;
        char* notreVariable;
        int aDetruire;
        }typeRetourneParDollar;

	void afficher(typeRetourneParDollar);

	typeRetourneParDollar affecter(typeRetourneParDollar,typeRetourneParDollar);

	typeRetourneParDollar calculDeLaFactorielle(typeRetourneParDollar);

	typeRetourneParDollar calculDeLArrangement(typeRetourneParDollar,typeRetourneParDollar);

	typeRetourneParDollar calculDeLaCombinaison(typeRetourneParDollar,typeRetourneParDollar);

	void afficherMatrice(Matrice);

	void libererStruct(typeRetourneParDollar);

#endif
